%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pkgname qrencode
%if 0%{?fedora} <= 19
# this is only required on fedora <= 19
%global _privatelibs qr_encode[.]so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$
%endif


Name:           python-%{pkgname}
Version:        1.01
Release:        1.git.0.0414ed2%{?dist}
Summary:        Python wrapper for the qrencode library

License:        ASL 2.0
URL:            http://github.com/Arachnid/pyqrencode
Source0:        https://pypi.python.org/packages/source/q/qrencode/qrencode-%{version}.tar.gz
Patch0:         fix_location.patch
Patch1:         fix_pillow_import.patch
Patch2:         python3_compatibility.patch

Requires:       python-imaging
BuildRequires:  python-imaging
BuildRequires:  qrencode-devel
BuildRequires:  python2-devel

%description
A simple wrapper for the C qrencode library.

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        Python 3 wrapper for the qrencode library
Requires:       python3-pillow
BuildRequires:  python3-devel
BuildRequires:  python3-pillow

%description -n python3-%{pkgname}
A simple python 3 wrapper for the C qrencode library.
%endif # with_python3

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
chmod 0755 %{buildroot}%{python3_sitearch}/qrencode/_qrencode*.so
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
chmod 0755 %{buildroot}%{python_sitearch}/qrencode/_qrencode.so


%check
pushd build/*lib*
%{__python} -c "import qrencode; print(qrencode.encode('''Schrödinger's cat''')[2].size)"
popd

%if 0%{?with_python3}
pushd %{py3dir}/build/*lib*
LC_CTYPE="en_US.UTF-8" %{__python3} -c "import qrencode; print(qrencode.encode('''Schrödinger's cat''')[2].size)"
popd
%endif # with_python3

%files
%{python_sitearch}/qrencode*


%if 0%{?with_python3}
%files -n python3-%{pkgname}
%{python3_sitearch}/qrencode*
%endif # with_python3


%changelog
* Mon Jun 09 2014 mh <mh@immerda.ch> 1.01-1
- new package built with tito

* Mon Jun  9 2014 mh <mh+fedora@immerda.ch> - 1.01-1
- Initial package

